## START: Set by rpmautospec
## (rpmautospec version 0.8.1)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 21;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

%bcond_without pgm
%bcond_without unwind

Name:           zeromq
Version:        4.3.5
Release:        %autorelease
Summary:        Software library for fast, message-based applications

License:        MPL-2.0 AND BSD-3-Clause AND MIT
URL:            https://zeromq.org
Source0:        https://github.com/%{name}/libzmq/archive/v%{version}/%{name}-%{version}.tar.gz
Patch1:         zeromq-configure-c99.patch

BuildRequires:  make
BuildRequires:  autoconf
BuildRequires:  automake
BuildRequires:  gcc-c++
BuildRequires:  libtool
BuildRequires:  asciidoc
BuildRequires:  xmlto
BuildRequires:  libsodium-devel

%if %{with unwind}
BuildRequires:  libunwind-devel
%endif

%if %{with pgm}
BuildRequires:  openpgm-devel
BuildRequires:  krb5-devel
%endif

%description
The 0MQ lightweight messaging kernel is a library which extends the
standard socket interfaces with features traditionally provided by
specialized messaging middle-ware products. 0MQ sockets provide an
abstraction of asynchronous message queues, multiple messaging
patterns, message filtering (subscriptions), seamless access to
multiple transport protocols and more.

This package contains the ZeroMQ shared library.


%package devel
Summary:        Development files for %{name}
Requires:       %{name}%{?_isa} = %{version}-%{release}


%description devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.


%prep
%autosetup -p1

# Remove bundled code.
rm -rf external/wepoll

# Fix permissions.
chmod -x src/xsub.hpp


%build
autoreconf -fi
%configure \
%if %{with pgm}
            --with-pgm \
            --with-libgssapi_krb5 \
%endif
            --with-libsodium \
            --enable-drafts \
%if %{with unwind}
            --enable-libunwind \
%endif
            --disable-Werror \
            --disable-static
%make_build


%install
%make_install

# remove *.la
rm %{buildroot}%{_libdir}/libzmq.la


%check
%ifarch s390x
make check V=1 XFAIL_TESTS=tests/test_radio_dish || ( cat test-suite.log && exit 1 )
%endif


%ldconfig_scriptlets


%files
%doc README.md AUTHORS NEWS
%license LICENSE
%{_bindir}/curve_keygen
%{_libdir}/libzmq.so.5*
%{_mandir}/man3/zmq_*
%{_mandir}/man7/zmq_*
%{_mandir}/man7/zmq.*

%files devel
%{_libdir}/libzmq.so
%{_libdir}/pkgconfig/libzmq.pc
%{_includedir}/zmq*.h


%changelog
## START: Generated by rpmautospec
* Tue Jan 28 2025 Denis Arnaud <denis.arnaud_fedora@m4x.org> - 4.3.5-21
- Rebuild for OpenPGM in a side tag

* Mon Jan 27 2025 Denis Arnaud <denis.arnaud_fedora@m4x.org> - 4.3.5-20
- Rebuild for OpenPGM

* Sun Jan 19 2025 Fedora Release Engineering <releng@fedoraproject.org> - 4.3.5-19
- Rebuilt for https://fedoraproject.org/wiki/Fedora_42_Mass_Rebuild

* Sun Sep 08 2024 Miroslav Suchý <msuchy@redhat.com> - 4.3.5-18
- Migrate to SPDX license

* Sat Jul 20 2024 Fedora Release Engineering <releng@fedoraproject.org> - 4.3.5-17
- Rebuilt for https://fedoraproject.org/wiki/Fedora_41_Mass_Rebuild

* Sat Jan 27 2024 Fedora Release Engineering <releng@fedoraproject.org> - 4.3.5-16
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Wed Nov 29 2023 Florian Weimer <fweimer@redhat.com> - 4.3.5-15
- Build with _DEFAULT_SOURCE to avoid compatibility issue

* Tue Oct 31 2023 Mattias Ellert <mattias.ellert@physics.uu.se> - 4.3.5-14
- XFAIL the faileing tests/test_radio_dish

* Tue Oct 31 2023 Denis Arnaud <denis.arnaud_fedora@m4x.org> - 4.3.5-13
- BZ#2247171 / PR#7 - Added the --enable-drafts option by default

* Tue Oct 31 2023 Mattias Ellert <mattias.ellert@physics.uu.se> - 4.3.5-12
- Enable draft API (rhbz#2247171)

* Tue Oct 24 2023 Denis Arnaud <denis.arnaud_fedora@m4x.org> - 4.3.5-11
- Revert "BZ#2245747 - Build system switched to CMake"

* Tue Oct 24 2023 Denis Arnaud <denis.arnaud_fedora@m4x.org> - 4.3.5-10
- Revert "CMake / Improved the build"

* Tue Oct 24 2023 Denis Arnaud <denis.arnaud_fedora@m4x.org> - 4.3.5-9
- Improved the build

* Tue Oct 24 2023 Denis Arnaud <denis.arnaud_fedora@m4x.org> - 4.3.5-8
- BZ#2245747 - Build system switched to CMake

* Sun Oct 22 2023 Denis Arnaud <denis.arnaud_fedora@m4x.org> - 4.3.5-7
- Fixed the license name

* Sun Oct 22 2023 Denis Arnaud <denis.arnaud_fedora@m4x.org> - 4.3.5-6
- Fixed the changelog section

* Sun Oct 22 2023 Denis Arnaud <denis.arnaud_fedora@m4x.org> - 4.3.5-5
- Upstream upgrade

* Sun Oct 22 2023 Denis Arnaud <denis.arnaud_fedora@m4x.org> - 4.3.5-4
- Upstream upgrade

* Sun Oct 22 2023 Denis Arnaud <denis.arnaud_fedora@m4x.org> - 4.3.5-3
- Upstream upgrade

* Sun Oct 22 2023 Denis Arnaud <denis.arnaud_fedora@m4x.org> - 4.3.5-2
- Upstream upgrade

* Sun Oct 22 2023 Denis Arnaud <denis.arnaud_fedora@m4x.org> - 4.3.5-1
- Upstream upgrade

* Thu Oct 05 2023 Remi Collet <remi@fedoraproject.org> - 4.3.4-9
- rebuild for new libsodium

* Sat Jul 22 2023 Fedora Release Engineering <releng@fedoraproject.org> - 4.3.4-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Wed May 17 2023 David Cantrell <dcantrell@redhat.com> - 4.3.4-7
- Convert License tag to SPDX identifiers

* Tue Mar 07 2023 Ben Woodard <woodard@redhat.com> - 4.3.4-6
- Remove libunwind from dependencies

* Sat Jan 21 2023 Fedora Release Engineering <releng@fedoraproject.org> - 4.3.4-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Sat Jul 23 2022 Fedora Release Engineering <releng@fedoraproject.org> - 4.3.4-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Sat Jan 22 2022 Fedora Release Engineering <releng@fedoraproject.org> - 4.3.4-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Fri Jul 23 2021 Fedora Release Engineering <releng@fedoraproject.org> - 4.3.4-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Fri Jan 29 2021 Denis Arnaud <denis.arnaud_fedora@m4x.org> - 4.3.4-1
- Upstream upgrade Fixes #1921879, #1921972, #1921973, #1921975, #1921976,
  #1921979, #1921981, #1921983, #1921983, #1921985, #1921987, #1921989,
  #1921992, #1921994

* Thu Jan 28 2021 Fedora Release Engineering <releng@fedoraproject.org> - 4.3.3-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_34_Mass_Rebuild

* Sat Jan 09 2021 Tom Stellard <tstellar@redhat.com> - 4.3.3-4
- Add BuildRequires: make

* Tue Sep 15 2020 Denis Arnaud <denis.arnaud_fedora@m4x.org> - 4.3.3-3
- No check for s390x

* Tue Sep 15 2020 Denis Arnaud <denis.arnaud_fedora@m4x.org> - 4.3.3-2
- Added dependencies for the man pages

* Tue Sep 15 2020 Denis Arnaud <denis.arnaud_fedora@m4x.org> - 4.3.3-1
- Upstream upgrade Fixes #1876738 and #1876689

* Sat Aug 01 2020 Fedora Release Engineering <releng@fedoraproject.org> - 4.3.2-5
- Second attempt - Rebuilt for
  https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

* Wed Jul 29 2020 Fedora Release Engineering <releng@fedoraproject.org> - 4.3.2-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

* Wed Apr 15 2020 Dan Horák <dan@danny.cz> - 4.3.2-3
- libunwind is available on all Fedora arches

* Fri Jan 31 2020 Fedora Release Engineering <releng@fedoraproject.org> - 4.3.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_32_Mass_Rebuild

* Sun Sep 08 2019 Elliott Sales de Andrade <quantum.analyst@gmail.com> - 4.3.2-1
- Update to latest version.

* Sat Jul 27 2019 Fedora Release Engineering <releng@fedoraproject.org> - 4.3.1-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_31_Mass_Rebuild

* Sat Feb 16 2019 Elliott Sales de Andrade <quantum.analyst@gmail.com> - 4.3.1-4
- Disable libunwind on unsupported arches.

* Sun Feb 03 2019 Fedora Release Engineering <releng@fedoraproject.org> - 4.3.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild

* Tue Jan 22 2019 Elliott Sales de Andrade <quantum.analyst@gmail.com> - 4.3.1-2
- Split cppzmq into its own package.

* Tue Jan 22 2019 Elliott Sales de Andrade <quantum.analyst@gmail.com> - 4.3.1-1
- Update to latest version of libzmq and cppzmq.

* Tue Jan 22 2019 Elliott Sales de Andrade <quantum.analyst@gmail.com> - 4.1.6-15
- Backport another patch to fix s390x.

* Mon Jan 21 2019 Elliott Sales de Andrade <quantum.analyst@gmail.com> - 4.1.6-14
- Use explicit soname version.

* Mon Jan 21 2019 Elliott Sales de Andrade <quantum.analyst@gmail.com> - 4.1.6-13
- Backport patch to fix test failure.

* Mon Jan 21 2019 Elliott Sales de Andrade <quantum.analyst@gmail.com> - 4.1.6-12
- Remove some old stuff.

* Tue Aug 28 2018 Pavel Zhukov <pzhukov@redhat.com> - 4.1.6-11
- Add gcc-c++ build requirement.

* Sat Jul 14 2018 Fedora Release Engineering <releng@fedoraproject.org> - 4.1.6-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Tue Feb 13 2018 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 4.1.6-9
- Remove BuildRoot definition

* Fri Feb 09 2018 Fedora Release Engineering <releng@fedoraproject.org> - 4.1.6-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Sat Feb 03 2018 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 4.1.6-7
- Switch to %%ldconfig_scriptlets

* Mon Oct 02 2017 Remi Collet <remi@fedoraproject.org> - 4.1.6-6
- rebuild for libsodium

* Thu Aug 03 2017 Fedora Release Engineering <releng@fedoraproject.org> - 4.1.6-5
- Rebuilt for
  https://fedoraproject.org/wiki/Fedora_27_Binutils_Mass_Rebuild

* Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 4.1.6-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Mon May 15 2017 Fedora Release Engineering <releng@fedoraproject.org> - 4.1.6-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_27_Mass_Rebuild

* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> - 4.1.6-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Sun Nov 13 2016 Thomas Spura <thomas.spura@gmail.com> - 4.1.6-1
- Update to 4.1.6

* Sun Jun 12 2016 Denis Arnaud <denis.arnaud_fedora@m4x.org> - 4.1.4-6
- Improved the .gitignore file

* Mon Mar 07 2016 Remi Collet <remi@fedoraproject.org> - 4.1.4-5
- rebuild for new libsodium soname

* Sun Feb 14 2016 Thomas Spura <thomas.spura@gmail.com> - 4.1.4-4
- Remove Werror from compile flags

* Fri Feb 05 2016 Fedora Release Engineering <releng@fedoraproject.org> - 4.1.4-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Sun Jan 24 2016 Thomas Spura <thomas.spura@gmail.com> - 4.1.4-2
- Enable krb5 and fix building of pgm (#1301197)

* Sat Dec 19 2015 Thomas Spura <thomas.spura@gmail.com> - 4.1.4-1
- Update to 4.1.4 (#1292814) and refresh zmq.hpp

* Mon Aug 24 2015 Thomas Spura <thomas.spura@gmail.com> - 4.1.3-1
- update to 4.1.3
- ipv6 patch included upstream
- refresh zmq.hpp

* Tue Jun 23 2015 Thomas Spura <thomas.spura@gmail.com> - 4.1.2-2
- Add missing BR:libsodium-devel

* Tue Jun 23 2015 Thomas Spura <thomas.spura@gmail.com> - 4.1.2-1
- update to 4.1.2 with a upstream patch to fix a problem with ipv6

* Fri Jun 19 2015 Dennis Gilmore <dennis@ausil.us> - 4.0.5-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Mon Jun 08 2015 Thomas Spura <thomas.spura@gmail.com> - 4.0.5-8
- Add zmq.hpp, which originally belonged to zeromq

* Thu May 21 2015 Thomas Spura <thomas.spura@gmail.com> - 4.0.5-7
- Add cve for protocol downgrad attack

* Tue May 19 2015 Thomas Spura <thomas.spura@gmail.com> - 4.0.5-6
- Fix changelog. Obsoletes:zeromq-utils was removed not Provides:

* Tue May 19 2015 Thomas Spura <thomas.spura@gmail.com> - 4.0.5-5
- remove %%%%defattr

* Tue May 19 2015 Thomas Spura <thomas.spura@gmail.com> - 4.0.5-4
- Remove Provides:zeromq-utils

* Tue May 19 2015 Thomas Spura <thomas.spura@gmail.com> - 4.0.5-3
- Cherry-pick patch for protocol downgrade attack (#1221666)

* Sat May 02 2015 Kalev Lember <kalevlember@gmail.com> - 4.0.5-2
- Rebuilt for GCC 5 C++11 ABI change

* Mon Nov 17 2014 Thomas Spura <thomas.spura@gmail.com> - 4.0.5-1
- update to 4.0.5

* Mon Aug 18 2014 Peter Robinson <pbrobinson@fedoraproject.org> - 2.2.0-14
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Sat Jun 07 2014 Dennis Gilmore <dennis@ausil.us> - 2.2.0-13
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sun Aug 04 2013 Dennis Gilmore <dennis@ausil.us> - 2.2.0-12
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Fri May 17 2013 Thomas Spura <thomas.spura@gmail.com> - 2.2.0-11
- Rewrite openpgm version in configure*

* Fri May 17 2013 Thomas Spura <thomas.spura@gmail.com> - 2.2.0-10
- Rebuilt for openpm-5.2 and sed correct version into configure (#963894)

* Wed Mar 27 2013 Thomas Spura <thomas.spura@gmail.com> - 2.2.0-9
- also add libtool to BR

* Wed Mar 27 2013 Thomas Spura <thomas.spura@gmail.com> - 2.2.0-8
- also add automake to BR

* Wed Mar 27 2013 Thomas Spura <thomas.spura@gmail.com> - 2.2.0-7
- run autoreconf before configure so aarch64 is supported (#926859)

* Fri Feb 15 2013 Dennis Gilmore <dennis@ausil.us> - 2.2.0-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Mon Jan 14 2013 Thomas Spura <thomas.spura@gmail.com> - 2.2.0-5
- delete foreign files with dubious license in %%%%prep (#892111)

* Mon Dec 24 2012 Thomas Spura <thomas.spura@gmail.com> - 2.2.0-4
- Build against openpgm
- add bcond_without pgm macro (Jose Pedro Oliveira, #867182)
- remove bundled pgm
- build against openpgm

* Sun Jul 22 2012 Dennis Gilmore <dennis@ausil.us> - 2.2.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Thu Apr 26 2012 Thomas Spura <thomas.spura@gmail.com> - 2.2.0-2
- upload sources for 2.2.0

* Thu Apr 26 2012 Thomas Spura <thomas.spura@gmail.com> - 2.2.0-1
- update to 2.2.0

* Fri Jan 06 2012 Thomas Spura <thomas.spura@gmail.com> - 2.1.11-2
- Upload sources for 2.1.11

* Fri Jan 06 2012 Thomas Spura <thomas.spura@gmail.com> - 2.1.11-1
- update to 2.1.11

* Sat Oct 22 2011 Thomas Spura <thomas.spura@gmail.com> - 2.1.9-7
- handle epel6=fedora

* Wed Sep 21 2011 Thomas Spura <thomas.spura@gmail.com> - 2.1.9-6
- remove buildroot before installing (needed for el5)

* Wed Sep 21 2011 Thomas Spura <thomas.spura@gmail.com> - 2.1.9-5
- buildroot is needed on el5

* Wed Sep 21 2011 Thomas Spura <thomas.spura@gmail.com> - 2.1.9-4
- s/epel/rhel/g in macros

* Wed Sep 21 2011 Thomas Spura <thomas.spura@gmail.com> - 2.1.9-3
- libuuid-devel is e2fsprogs-devel in el5 according to Thomas S Hatch

* Wed Sep 21 2011 Thomas Spura <thomas.spura@gmail.com> - 2.1.9-2
- Don't turn warnings into errors

* Wed Sep 21 2011 Thomas Spura <thomas.spura@gmail.com> - 2.1.9-1
- update to 2.1.9 - add check section

* Wed Apr 06 2011 Thomas Spura <tomspur@fedoraproject.org> - 2.1.4-2
- also upload new sources

* Wed Apr 06 2011 Thomas Spura <tomspur@fedoraproject.org> - 2.1.4-1
- update to new version 2.1.4 (#690199)

* Wed Mar 23 2011 Thomas Spura <tomspur@fedoraproject.org> - 2.1.3-2
- upload new sources

* Wed Mar 23 2011 Thomas Spura <tomspur@fedoraproject.org> - 2.1.3-1
- update to new version and obsolete -utils subpackage

* Tue Feb 08 2011 Dennis Gilmore <dennis@ausil.us> - 2.0.10-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Thu Jan 13 2011 Pavel Zhukov <pavel@zhukoff.net> - 2.0.10-1
- update version - add rpath delete - change includedir filelist

* Fri Aug 27 2010 Thomas Spura <tomspur@fedoraproject.org> - 2.0.8-1
- update to new version

* Thu Jul 29 2010 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.0.7-2
- dist-git conversion

* Sun Jul 25 2010 tomspur <tomspur@fedoraproject.org> - 2.0.7-1
- initial commit (#603233)
## END: Generated by rpmautospec
